Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::SequenceProxyPullSupplier Interface Reference

Defines the interface provided for pull-style consumer using the 'batched' event format. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::SequenceProxyPullSupplier:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::SequenceProxyPullSupplier:

[legend]
List of all members.

## Public Methods
void | connect_sequence_pull_consumer (in CosNotifyComm::SequencePullConsumer pull_consumer) raises (CosEventChannelAdmin::AlreadyConnected)
| Connect a consumer to the proxy.

## Detailed Description

Defines the interface provided for pull-style consumer using the 'batched' event format.

## Member Function Documentation

void CosNotifyChannelAdmin::SequenceProxyPullSupplier::connect_sequence_pull_consumer | ( | in CosNotifyComm::SequencePullConsumer | pull_consumer | ) | raises (CosEventChannelAdmin::AlreadyConnected)

  | Connect a consumer to the proxy. The consumer cannot pull events until this operation is invoked. Parameters:
  pull_consumer | the callback object used to inform the application if the event channel is destroyed. If the argument is nil no destroy notification is provided.
  Exceptions:
  CosEventChannelAdmin::AlreadyConnected | if the proxy is already connected, i.e. if this operation is invoked more than one time.

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl